#version 130

in vec3 vPosition;
in vec2 vTexCoords;
in vec3 vNormal;

out vec3 vPosition2;
out vec2 vTexCoords2;
out vec3 vNormal2;

void main() {
    // Handle texCoords
    vTexCoords2 = vTexCoords;
    
    // Handle normal
    vNormal2 = vNormal;
    
    // Handle position
    vPosition2  = vPosition;   
    gl_Position = vec4(vPosition, 1.0);
}
